Asterisk.org: Developer Documentation (28 Oct 2009)

Wed Oct 28 15:49:27 2009

## Asterisk developer's documentation

# ast_cdr Struct Reference

`#include <cdr.h>`

Collaboration diagram for ast_cdr:

[legend]

## Data Fields

char | accountcode [AST_MAX_ACCOUNT_CODE]
long int | amaflags
struct timeval | answer
long int | billsec
char | channel [AST_MAX_EXTENSION]
char | clid [AST_MAX_EXTENSION]
char | dcontext [AST_MAX_EXTENSION]
long int | disposition
char | dst [AST_MAX_EXTENSION]
char | dstchannel [AST_MAX_EXTENSION]
long int | duration
struct timeval | end
unsigned int | flags
char | lastapp [AST_MAX_EXTENSION]
char | lastdata [AST_MAX_EXTENSION]
struct ast_cdr * | next
char | src [AST_MAX_EXTENSION]
struct timeval | start
char | uniqueid [32]
char | userfield [AST_MAX_USER_FIELD]
struct varshead | varshead

## Detailed Description

Responsible for call detail data

Definition at line 54 of file cdr.h.

## Field Documentation

char accountcode[AST_MAX_ACCOUNT_CODE]

What account number to use

Definition at line 86 of file cdr.h.

Referenced by ast_cdr_getvar(), ast_cdr_init(), ast_cdr_setaccount(), ast_cdr_update(), build_csv_record(), csv_log(), manager_log(), odbc_log(), pgsql_log(), sqlite_log(), and tds_log().

long int amaflags

What flags to use

Definition at line 84 of file cdr.h.

Referenced by ast_cdr_getvar(), ast_cdr_init(), ast_cdr_setamaflags(), build_csv_record(), csv_log(), manager_log(), odbc_log(), pgsql_log(), sqlite_log(), and tds_log().

struct timeval answer`[read]`

Definition at line 74 of file cdr.h.

Referenced by ast_cdr_answer(), ast_cdr_getvar(), ast_cdr_reset(), build_csv_record(), manager_log(), ospfinished_exec(), post_cdr(), sqlite_log(), and tds_log().

long int billsec

Total time call is up, in seconds

Definition at line 80 of file cdr.h.

Referenced by ast_cdr_getvar(), ast_cdr_reset(), build_csv_record(), csv_log(), manager_log(), odbc_log(), pgsql_log(), post_cdr(), sqlite_log(), and tds_log().

char channel[AST_MAX_EXTENSION]

Definition at line 64 of file cdr.h.

Referenced by __login_exec(), agentmonitoroutgoing_exec(), ast_cdr_answer(), ast_cdr_busy(), ast_cdr_end(), ast_cdr_failed(), ast_cdr_free(), ast_cdr_getvar(), ast_cdr_init(), ast_cdr_noanswer(), ast_cdr_setapp(), ast_cdr_setdestchan(), ast_cdr_start(), build_csv_record(), csv_log(), manager_log(), odbc_log(), pgsql_log(), post_cdr(), sqlite_log(), and tds_log().

char clid[AST_MAX_EXTENSION]

Caller*ID with text

Definition at line 56 of file cdr.h.

Referenced by ast_cdr_getvar(), ast_cdr_init(), ast_cdr_setcid(), ast_cdr_update(), build_csv_record(), manager_log(), odbc_log(), pgsql_log(), sqlite_log(), and tds_log().

char dcontext[AST_MAX_EXTENSION]

Destination context

Definition at line 62 of file cdr.h.

Referenced by ast_cdr_getvar(), ast_cdr_init(), ast_cdr_update(), build_csv_record(), manager_log(), odbc_log(), pgsql_log(), sqlite_log(), and tds_log().

long int disposition

What happened to the call

Definition at line 82 of file cdr.h.

Referenced by ast_cdr_answer(), ast_cdr_busy(), ast_cdr_failed(), ast_cdr_getvar(), ast_cdr_init(), ast_cdr_noanswer(), ast_cdr_reset(), build_csv_record(), csv_log(), manager_log(), odbc_log(), pgsql_log(), post_cdr(), sqlite_log(), and tds_log().

char dst[AST_MAX_EXTENSION]

Destination extension

Definition at line 60 of file cdr.h.

Referenced by ast_cdr_getvar(), ast_cdr_init(), ast_cdr_update(), build_csv_record(), csv_log(), manager_log(), odbc_log(), pgsql_log(), sqlite_log(), and tds_log().

char dstchannel[AST_MAX_EXTENSION]

Destination channel if appropriate

Definition at line 66 of file cdr.h.

Referenced by ast_cdr_getvar(), ast_cdr_setdestchan(), build_csv_record(), manager_log(), odbc_log(), pgsql_log(), sqlite_log(), and tds_log().

long int duration

Total time in system, in seconds

Definition at line 78 of file cdr.h.

Referenced by ast_cdr_getvar(), ast_cdr_reset(), build_csv_record(), csv_log(), manager_log(), odbc_log(), pgsql_log(), post_cdr(), sqlite_log(), and tds_log().

struct timeval end`[read]`

Definition at line 76 of file cdr.h.

Referenced by ast_cdr_end(), ast_cdr_free(), ast_cdr_getvar(), ast_cdr_reset(), build_csv_record(), manager_log(), post_cdr(), sqlite_log(), and tds_log().

unsigned int flags

flags

Definition at line 88 of file cdr.h.

char lastapp[AST_MAX_EXTENSION]

Last application if appropriate

Definition at line 68 of file cdr.h.

Referenced by ast_cdr_getvar(), ast_cdr_setapp(), build_csv_record(), manager_log(), odbc_log(), pgsql_log(), sqlite_log(), and tds_log().

char lastdata[AST_MAX_EXTENSION]

Last application data

Definition at line 70 of file cdr.h.

Referenced by ast_cdr_getvar(), ast_cdr_setapp(), build_csv_record(), manager_log(), odbc_log(), pgsql_log(), sqlite_log(), and tds_log().

struct ast_cdr* next`[read]`

Definition at line 97 of file cdr.h.

Referenced by ast_cdr_answer(), ast_cdr_append(), ast_cdr_appenduserfield(), ast_cdr_busy(), ast_cdr_disposition(), ast_cdr_dup(), ast_cdr_end(), ast_cdr_failed(), ast_cdr_fork(), ast_cdr_free(), ast_cdr_free_vars(), ast_cdr_getvar_internal(), ast_cdr_init(), ast_cdr_noanswer(), ast_cdr_reset(), ast_cdr_serialize_variables(), ast_cdr_setaccount(), ast_cdr_setamaflags(), ast_cdr_setapp(), ast_cdr_setcid(), ast_cdr_setdestchan(), ast_cdr_setuserfield(), ast_cdr_setvar(), ast_cdr_start(), ast_cdr_update(), builtin_function_cdr_read(), and post_cdr().

char src[AST_MAX_EXTENSION]

Caller*ID number

Definition at line 58 of file cdr.h.

Referenced by ast_cdr_getvar(), ast_cdr_init(), ast_cdr_setcid(), ast_cdr_update(), build_csv_record(), csv_log(), manager_log(), odbc_log(), pgsql_log(), sqlite_log(), and tds_log().

struct timeval start`[read]`

Definition at line 72 of file cdr.h.

Referenced by __ast_pbx_run(), action_status(), ast_cdr_end(), ast_cdr_free(), ast_cdr_getvar(), ast_cdr_reset(), ast_cdr_start(), ast_serialize_showchan(), build_csv_record(), handle_chanlist(), handle_showchan(), manager_log(), odbc_log(), pgsql_log(), post_cdr(), sqlite_log(), and tds_log().

char uniqueid[32]

Definition at line 90 of file cdr.h.

Referenced by ast_cdr_getvar(), ast_cdr_init(), build_csv_record(), manager_log(), odbc_log(), pgsql_log(), sqlite_log(), tds_log(), and try_calling().

char userfield[AST_MAX_USER_FIELD]

Definition at line 92 of file cdr.h.

Referenced by ast_bridge_call(), ast_cdr_appenduserfield(), ast_cdr_getvar(), ast_cdr_setuserfield(), build_csv_record(), manager_log(), odbc_log(), pgsql_log(), and sqlite_log().

struct varshead varshead`[read]`

Definition at line 95 of file cdr.h.

Referenced by ast_cdr_copy_vars(), ast_cdr_dup(), ast_cdr_free_vars(), ast_cdr_getvar_internal(), ast_cdr_serialize_variables(), and ast_cdr_setvar().

The documentation for this struct was generated from the following file:

- cdr.h